Bug 702470 (CVE-2011-1775) - CVE-2011-1775 tigervnc: vncviewer can send password to server without proper validation of the X.509 certificate
Summary: CVE-2011-1775 tigervnc: vncviewer can send password to server without proper ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1775
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110504,reported=20110505,sou...
Depends On: 702289 702672 702719
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-05 18:21 UTC by Vincent Danen
Modified: 2019-06-08 18:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-18 22:12:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0871 normal SHIPPED_LIVE Moderate: tigervnc security update 2011-06-15 10:06:45 UTC

Description Vincent Danen 2011-05-05 18:21:42 UTC
It was reported [1] that vncviewer could prompt for, and send, authentication credentials to a remote server without first properly validating the X.509 certificate.  This could allow a malicious server to obtain a client's credentials because the client does not indicate to the user that a certificate is bad or missing.

A proposed patch [2] is being discussed.

[1] http://www.mail-archive.com/tigervnc-devel@lists.sourceforge.net/msg01342.html
[2] http://www.mail-archive.com/tigervnc-devel@lists.sourceforge.net/msg01347.html

Comment 2 Vincent Danen 2011-05-06 14:33:26 UTC
This flaw does not affect older versions of tigervnc due to X.509 certificate handling being a new feature (new to the forthcoming 1.1.0):

http://tigervnc.svn.sourceforge.net/viewvc/tigervnc?view=revision&revision=4200

Comment 3 Vincent Danen 2011-05-06 14:35:45 UTC
Created tigervnc tracking bugs for this issue

Affects: fedora-15 [bug 702672]

Comment 5 Vincent Danen 2011-05-09 22:54:56 UTC
This has been assigned the name CVE-2011-1775.

Comment 6 Kurt Seifried 2011-05-09 23:52:13 UTC
Confirmed Fedora 14 is not vulnerable, they ship 1.0.90 which is labeled "1.0.90 (1.1beta1)" on tigervnc download sit, but the 1.0.90 they ship is older (svn4123) and does not have the X509 support.

Comment 7 errata-xmlrpc 2011-06-15 10:06:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0871 https://rhn.redhat.com/errata/RHSA-2011-0871.html


Note You need to log in before you can comment on or make changes to this bug.